<?php
/*
 * Tutorial: How to Get the Attributes of a Post Type in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/how-to-get-the-attributes-of-a-post-type-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Syntax
 * ---------------------------------------------------------------------------*/

// Get the object of the post type Page
$page_type_obj = get_post_type_object('page');

// Get the object of the post type Attachment
$attachment_type_obj = get_post_type_object('attachment');

/* -----------------------------------------------------------------------------
 * - Attributes
 * ---------------------------------------------------------------------------*/

// Display the attributes of the post type Page
var_dump($page_type_obj);

/* -----------------------------------------------------------------------------
 * - Exercise
 * ---------------------------------------------------------------------------*/

// Get the object of the post type Post
$post_type_obj = get_post_type_object('post');

// Clause 1
$result_clause1 = $post_type_obj->has_archive;

// Clause 2
$result_clause2 = $post_type_obj->hierarchical;

// Clause 3
$result_clause3 = $post_type_obj->publicly_queryable;